# Files ## Get files - [GET /v1/files](https://api-docs.lawvu.com/api/files-api/lawvu-files.openapi/files/get-v1-files.md): Gets a list of files in LawVu (with filters) ## Get file - [GET /v1/files/{fileId}](https://api-docs.lawvu.com/api/files-api/lawvu-files.openapi/files/get-v1-files-fileid.md): Get file meta from LawVu ## Delete file - [DELETE /v1/files/{fileId}](https://api-docs.lawvu.com/api/files-api/lawvu-files.openapi/files/delete-v1-files-fileid.md): Deletes a file in LawVu ## Patch file - [PATCH /v1/files/{fileId}](https://api-docs.lawvu.com/api/files-api/lawvu-files.openapi/files/patch-v1-files-fileid.md): Updates a file ## Download file - [GET /v1/files/{fileId}/download](https://api-docs.lawvu.com/api/files-api/lawvu-files.openapi/files/get-v1-files-fileid-download.md) ## Move file - [POST /v1/files/{fileId}/move/{destinationId}](https://api-docs.lawvu.com/api/files-api/lawvu-files.openapi/files/post-v1-files-fileid-move-destinationid.md): Moves a file. If there is a conflict in the destination, set the ConflictResolutionSee notes for destinationId when moving a file to the root folder of a matter or contract ## Upload file - [POST /v1/files/{targetType}/{targetId}](https://api-docs.lawvu.com/api/files-api/lawvu-files.openapi/files/post-v1-files-targettype-targetid.md): Upload a file to LawVu. The body of the post should be the contents of the file. ## Finalise upload - [PUT /v1/files/{targetType}/{targetId}/uploads/{uploadId}](https://api-docs.lawvu.com/api/files-api/lawvu-files.openapi/files/put-v1-files-targettype-targetid-uploads-uploadid.md): (communicate the outcome) of an individual file upload (which may be one of a set of files being uploaded)